HintMessage.Serializer (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.hints

## Class HintMessage.Serializer

- java.lang.Object
- - org.apache.cassandra.hints.HintMessage.Serializer

- All Implemented Interfaces:
    IVersionedSerializer<HintMessage>
  Enclosing class:
    HintMessage

      public static class HintMessage.Serializer
      extends java.lang.Object
      implements IVersionedSerializer<HintMessage>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Serializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HintMessage` | `deserialize(DataInputPlus in, int version)` Deserialize into the specified DataInputStream instance.
    `void` | `serialize(HintMessage message, DataOutputPlus out, int version)` Serialize the specified type into the specified DataOutputStream instance.
    `long` | `serializedSize(HintMessage message, int version)` Calculate serialized size of object without actually serializing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Serializer

          public Serializer()

  - ### Method Detail

    - #### serializedSize

          public long serializedSize(HintMessage message,
                                     int version)

      Description copied from interface: `IVersionedSerializer`
      Calculate serialized size of object without actually serializing.
      Specified by:
        `serializedSize` in interface `IVersionedSerializer<HintMessage>`
      Parameters:
        `message` - object to calculate serialized size
        `version` - protocol version
      Returns:
        serialized size of object t

    - #### serialize

          public void serialize(HintMessage message,
                                DataOutputPlus out,
                                int version)
                         throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Serialize the specified type into the specified DataOutputStream instance.
      Specified by:
        `serialize` in interface `IVersionedSerializer<HintMessage>`
      Parameters:
        `message` - type that needs to be serialized
        `out` - DataOutput into which serialization needs to happen.
        `version` - protocol version
      Throws:
        `java.io.IOException` - if serialization fails

    - #### deserialize

          public HintMessage deserialize(DataInputPlus in,
                                         int version)
                                  throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Deserialize into the specified DataInputStream instance.
      Specified by:
        `deserialize` in interface `IVersionedSerializer<HintMessage>`
      Parameters:
        `in` - DataInput from which deserialization needs to happen.
        `version` - protocol version
      Returns:
        the type that was deserialized
      Throws:
        `java.io.IOException` - if deserialization fails

Copyright © 2018 The Apache Software Foundation